/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Avril 2005                     */

public class ListeChainee {
  Object info;
  ListeChainee suiv;
  
  public ListeChainee() {
    info = null;
    suiv = null;
  }
  
  public ListeChainee(Object o) {
    info = o;
    suiv = null;
  }
  
  public void affichageRecursif() {
    System.out.println(info);
    if ( suiv != null )
      suiv.affichageRecursif();
  }
  
  public void affichage() {
    System.out.println(info);
    ListeChainee lc = suiv;
    while ( lc != null ) {
      System.out.println(lc.info);
      lc = lc.suiv; }
  }
  
  public void affichageInverse() {
    if ( suiv != null )
      suiv.affichageInverse();
    System.out.println(info);
  }
}